%define upstream_name    Image-Epeg
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Thumbnail jpegs at lightning speed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: libjpeg-devel
BuildRequires: perl(Devel::PPPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

%description
Perl wrapper to the ultra-fast jpeg manipulation library "Epeg". This
library can be used to thumbnail (resize down) jpegs, set comments and
quality. NOTE: The resize() method *must* be called with valid arguments or
get_data() and write_file() will fail.

Methods
    * * new( [filename|data ref] )

    * * get_height()

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes HACKING README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Nov 08 2013 jquelin <jquelin> 0.130.0-1.mga4
+ Revision: 549953
- imported package perl-Image-Epeg


* Fri Nov 08 2013 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
